using FluentValidation;
using Meezi.API.Models.Shifts;

namespace Meezi.API.Validators;

public class OpenShiftRequestValidator : AbstractValidator<OpenShiftRequest>
{
    public OpenShiftRequestValidator()
    {
        RuleFor(x => x.OpeningCash).GreaterThanOrEqualTo(0);
    }
}

public class CloseShiftRequestValidator : AbstractValidator<CloseShiftRequest>
{
    public CloseShiftRequestValidator()
    {
        RuleFor(x => x.ClosingCash).GreaterThanOrEqualTo(0);
    }
}
